<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Código para Prompt Alert</title>
</head>
<body>
<p>Haz clic en el botón</p>
<button name="alerta_tipo_prompt" onclick="myFunction()">Presiona aquí</button>
<p id="demostracion"></p>
<script>
    function myFunction(){
        var texto;
        var usuario = prompt("Por favor ingresa tu nombre: ", "Aquí va tu nombre");
        if (usuario == null || usuario == "") {
        texto = "Usuario ha cancelado el ingreso de datos";
        }else{
        texto = "Hola" + usuario + "Bienvenido";
        }
        documento.getElementById("demostracion").innerHTML = texto;
    }
</script>
</body>
</html>